> ## Documentation Index
> Fetch the complete documentation index at: https://docs.quickblox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Notification Settings

> Get status if push notifications are turned on/off for offline messages in a dialog.

#### Recipes

<AccordionGroup>
  <Accordion title="Get Notification Settings with API key">
    <Steps>
      <Step title="1. Use 'Authorization' header to pass API key">
        ```curl {3} theme={null}
        curl -X GET \
        -H "Content-Type: application/json" \
        -H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
        -H "On-Behalf-Of: 123" \
        https://api.quickblox.com/chat/Dialog/5d75651fa0eb4732190b72aa/notifications.json
        ```
      </Step>

      <Step title="2. Use 'On-Behalf-Of' header to pass user_id">
        To execute a request on behalf of a specific user.

        ```curl {4} theme={null}
        curl -X GET \
        -H "Content-Type: application/json" \
        -H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
        -H "On-Behalf-Of: 123" \
        https://api.quickblox.com/chat/Dialog/5d75651fa0eb4732190b72aa/notifications.json
        ```
      </Step>

      <Step title="3. Set dialog ID">
        Specify the ID of the dialog whose setting status you want to get.

        ```curl {5} theme={null}
        curl -X GET \
        -H "Content-Type: application/json" \
        -H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
        -H "On-Behalf-Of: 123" \
        https://api.quickblox.com/chat/Dialog/5d75651fa0eb4732190b72aa/notifications.json
        ```
      </Step>

      <Step title="4. As result, the API returns the notification settings status">
        ```curl theme={null}
        curl -X GET \
        -H "Content-Type: application/json" \
        -H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
        -H "On-Behalf-Of: 123" \
        https://api.quickblox.com/chat/Dialog/5d75651fa0eb4732190b72aa/notifications.json
        ```
      </Step>
    </Steps>
  </Accordion>
</AccordionGroup>

#### Path Parameters

<ParamField path="chat_dialog_id" type="string" required> ID of the dialog to which a current message is connected. Generated automatically by the server after message creation</ParamField>

#### Headers

<ParamField header="QB-Token" type="string" required> A user or application session token. See [Authentication](/reference/authentication) page to learn more about session tokens. Must be used either QB-Token or Authorization. </ParamField>
<ParamField header="Authorization" type="string" default="ApiKey {your_api_key}"> API key from Dashboard. Expected format: `ApiKey {your_api_key}`. Must be used either QB-Token or Authorization.</ParamField>
<ParamField header="On-Behalf-Of" type="string">User ID. The user ID of the user on whose behalf the request is being made.</ParamField>

#### Responses

<AccordionGroup>
  <Accordion title="200">
    A successful response

    <ResponseField name="notifications" type="object">
      <Expandable title="properties">
        <ResponseField name="enabled" type="integer" />
      </Expandable>
    </ResponseField>
  </Accordion>

  <Accordion title="400">
    An error response
  </Accordion>
</AccordionGroup>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET \
  -H "Content-Type: application/json" \
  -H "QB-Token: 1319b4991186601ccf4df2d0fa89565f68012bba" \
  https://api.quickblox.com/chat/Dialog/5d75651fa0eb4732190b72aa/notifications.json
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "notifications": {
      "enabled": 0
    }
  }
  ```

  ```json 400 theme={null}
  {}
  ```
</ResponseExample>
